﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SlimDX;

namespace LittleBigTable
{
    public class Agent
    {
        ZD3DObject Head;
        ZD3DObject Trunk;
        ZD3DObject[] UpperLimb;
        ZD3DObject[] LowerLimb;
        Vector3 Pivot;
        Vector3 Position;
        Vector3 Upper;
        Vector3 Foward;
        public Agent(D3DDevice device, Shader shader, TextureManager manager)
        {
            Pivot = new Vector3(1.0f, 0.0f, 0.0f);
            Upper = new Vector3(0.0f, 0.0f, 1.0f);
            Foward = new Vector3(0.0f, 1.0f, 0.0f);
            Head = new ZD3DObject(device.GetDevice(), shader, "", "", manager);
            Head.Position = Position + new Vector3(0.0f, 0.0f, 1.0f);
            Head.Scale = new Vector3(1.0f,1.0f,1.0f);
            Trunk = new ZD3DObject(device.GetDevice(), shader, "", "", manager);
            Trunk.Scale = new Vector3(1.5f, 1.0f, 1.5f);
            Trunk.Position = Position;
            UpperLimb = new ZD3DObject[2];
            UpperLimb[0] = new ZD3DObject(device.GetDevice(), shader, "", "", manager);
            UpperLimb[0].Scale = new Vector3(0.5f,0.5f,1.0f);
            UpperLimb[0].Position = Position + Pivot;

            UpperLimb[1] = new ZD3DObject(device.GetDevice(), shader, "", "", manager);
            UpperLimb[1].Scale = new Vector3();
            UpperLimb[1].Position = Position - Pivot;


 
        }
    }
}
