﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SlimDX;
using SlimDX.D3DCompiler;
using SlimDX.Direct3D11;
using SlimDX.DXGI;
namespace LittleBigTable
{
    public class Lighting
    {
        float ambientValue;
        float SpotIntensy;
        Vector3 lightPosition;
        public Vector3 lightDirection { set; get; }
        public Lighting()
        {
            ambientValue = 0.0f;
            lightPosition = new Vector3(0.0f, 0.0f, 0.0f);
        }
        public void SetAmbientValue(float value)
        {
            ambientValue=value;
        }
        public float GetAmbientValue()
        {
            return ambientValue;
        }
        public void SetLightPosition(Vector3 position)
        {
            lightPosition = position;
        }
        public Vector3 GetLightPosition()
        {
            return lightPosition;
        }
        public void SetSpotIntensy(float spotIntensy)
        {
            SpotIntensy = spotIntensy;
        }
        public float GetSpotIntensy()
        {
            return SpotIntensy;
        }

    }
}
