﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SlimDX;
using SlimDX.D3DCompiler;
using SlimDX.Direct3D11;
using SlimDX.DXGI;
using Device = SlimDX.Direct3D11.Device;
namespace LittleBigTable
{
    using Vec2 = Microsoft.Xna.Framework.Vector2;
    public class TextureBind
    {
        public string FileName;
        public Texture2D Texture;
    }
    public class TextureManager
    {
        List<TextureBind> TextureBindList;
        public TextureManager()
        {
            TextureBindList = new List<TextureBind>();
        }
        public Texture2D MatchTextures(Device device,string Name)
        {
            for (int i = 0; i < TextureBindList.Count; i++)
            {
                if (TextureBindList[i].FileName == Name)
                {
                    return TextureBindList[i].Texture;
                }
            }
            //Add the texture and return it
            TextureBind Tbind=new TextureBind();
            Tbind.FileName=Name;
            Tbind.Texture = Texture2D.FromFile(device,Name);
            TextureBindList.Add(Tbind);
            return Tbind.Texture;
        }
    }
}
